
Foreman - Bug #2248

Authorization of API actions should match app permissions

02/25/2013 05:03 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The API v1 and v2 actions are not currently assigned to permissions (with the exception of just four API v1 controllers), so it requires

an admin account to perform most work over the API.

The actions for API controllers should be added to permissions and tests added (by fixing

test/lib/foreman/access_permissions_test.rb to test for them), or perhaps a method of equating API routes to standard app routes to

avoid repeating them.

Related issues:

Related to Foreman - Bug #2202: Add new permissions for actions currently mis... Closed 02/12/2013

Related to Foreman - Bug #2266: API doesn't honor 'view_facts' permission Closed 02/28/2013

Has duplicate Foreman - Bug #2330: Add api calls to access_permissions.rb Duplicate 03/17/2013

Associated revisions

Revision e00b6ef0 - 04/24/2013 10:15 AM - Joseph Magen

fixes #2248 adds api controllers and actions to access_permissions.rb

History

#1 - 03/28/2013 04:11 AM - Ohad Levy

- Target version set to 1.2.0

https://github.com/theforeman/foreman/pull/477

#2 - 04/24/2013 11:36 AM - Joseph Magen

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset e00b6ef0c540ff5915493b9d8456c399203cf4b4.
